import request from '@/utils/request'

// 查询员工月刷卡统计列表
export function listMonth(query) {
  return request({
    url: '/plant/month/list',
    method: 'get',
    params: query
  })
}

// 查询员工月刷卡统计详细
export function getMonth(id) {
  return request({
    url: '/plant/month/' + id,
    method: 'get'
  })
}

// 新增员工月刷卡统计
export function addMonth(data) {
  return request({
    url: '/plant/month',
    method: 'post',
    data: data
  })
}

// 修改员工月刷卡统计
export function updateMonth(data) {
  return request({
    url: '/plant/month',
    method: 'put',
    data: data
  })
}

// 删除员工月刷卡统计
export function delMonth(id) {
  return request({
    url: '/plant/month/' + id,
    method: 'delete'
  })
}
